// New Breakpoints
$xs-width: 576px;
$sm-width: 768px;
$md-width: 992px;
$lg-width: 1400px;

// Border colors
$introduced-in-border-color: #e3e3e3;

// Fonts
$mono-font-family: 'Menlo', 'DejaVu Sans Mono', 'Liberation Mono', 'Consolas', 'Ubuntu Mono', 'Courier New', 'andale mono', 'lucida console', monospace;
$sans-font-family: -apple-system, BlinkMacSystemFont, 'Segoe UI', Roboto, 'Noto Sans', Ubuntu, Cantarell, 'Helvetica Neue', sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji', 'Segoe UI Symbol', 'Noto Color Emoji';
$body-font-size: 15px;
$tooltip-font-size: 12px;
$introduced-in-font-size: 13px;
$landing-body-font-size: 16px;

// Margins
$h-margin-top: 10px;
$h2-margin-top: 30px;
$h-margin-bottom: 10px;

// Heights
$page-header-height: 40px;
$banner-height: 31px;
$header-height: 48px;

// Width
$sidebar-width: 16.66667%;
$sidebar-mobile-width: 320px;
$toc-width: 320px;
$page-content-width: 980px;

// GitLab colors
// Tanuki
$color-tanuki-dark: rgb(226, 67, 41);
$color-tanuki-medium: rgb(252, 109, 38);
$color-tanuki-light: rgb(252, 163, 38);
$color-btn-tanuki: rgba(252, 163, 38, 0.1);

//// GitLab Design System's (GDS) colors ////
// https://design.gitlab.com/#/foundations/colors

// Neutral palette
$gds-white: #fff;
$gds-gray-50: #fafafa;
$gds-gray-100: #f2f2f2;
$gds-gray-200: #dfdfdf;
$gds-gray-300: #ccc;
$gds-gray-400: #bababa;
$gds-gray-500: #a7a7a7;
$gds-gray-600: #919191;
$gds-gray-700: #707070;
$gds-gray-800: #4f4f4f;
$gds-gray-900: #2e2e2e;
$gds-gray-950: #1f1f1f;
$gds-black: #000;
$gds-gray-1000: #666;

// Transparency
$gds-t-gray-a2: rgba($gds-black, 0.02);
$gds-t-gray-a4: rgba($gds-black, 0.04);
$gds-t-gray-a6: rgba($gds-black, 0.06);
$gds-t-gray-a8: rgba($gds-black, 0.08);

// Blue palette
$gds-blue-100: #e4f0fb;
$gds-blue-200: #b8d6f4;
$gds-blue-300: #73afea;
$gds-blue-400: #418cd8;
$gds-blue-500: #1f78d1;
$gds-blue-600: #1b69b6;
$gds-blue-700: #17599c;
$gds-blue-800: #134a81;

// Purple palatte
$gds-purple-50: #f4f0ff;
$gds-purple-900: #2f2a6b;

// Indigo palatte
$gds-indigo-100: #dbdbf8;
$gds-indigo-600: #5252b5;
$gds-indigo-700: #41419f;
$gds-indigo-800: #393982;
//// end of GitLab Design System's colors ////

//// Colors conforming with GDS ////
// Add here all the variables that already conform with GDS

// Base colors
$body-color: $gds-gray-950; //font color
$bg-overlay-color: rgba(0, 0, 0, 0.3); // body overlay
$body-background-color: $gds-white; //body background
$main-background-color: $gds-white; // content background
$header-background-color: $gds-purple-900;
$header-font-color: $gds-indigo-100;
$header-free-trial-button-color: #cb4e18;

// Link colors
$link-color: $gds-blue-600;
$link-color-hover: $gds-blue-800;
$link-code-color: $gds-blue-600;
$link-color-bg-active: rgba($gds-gray-900, 0.06);
$link-color-nav: $gds-gray-800;
$link-color-nav-hover: $gds-gray-900;

// Global nav
$global-nav-link-level0: $link-color-nav;
$global-nav-link-level1: $link-color-nav;
$global-nav-link-level2: $link-color-nav;
$global-nav-link-level3: $link-color-nav;
$global-nav-link-level4: $link-color-nav;
$global-nav-link-shadow: $gds-gray-200;

// Table of contents
$toc-bg-color: $body-background-color;
$toc-border: $gds-gray-600;
$toc-link-color: $global-nav-link-level2;

// Help and feedback section
$feedback-bg: rgba($gds-gray-50, 0.4);
$inactive-tabs: rgba($gds-gray-100, 0.6);
$buttons-bg: $body-background-color;
$tabs-border: $gds-gray-200;

// Versions menu
$versions-link-color: $global-nav-link-level1;
$versions-link-color-hover: $link-color-nav-hover;
$versions-link-color-bg-hover: rgba($gds-gray-200, 0.6);
$versions-active-bg-color: $versions-link-color-bg-hover;

/// Elements
$blockquote-border-color: #dbdbdb;
$blockquote-background-color: #fafafa;
$blockquote-txt-color: #000;
$h1-border-bottom: $gds-gray-700;
$h-border-bottom: $gds-gray-300;
$divider-color: $gds-gray-200;
$border-color: $gds-gray-200;
$border-color-light: $gds-gray-50;
$table-border-color: $border-color;
$thead-border-color: $gds-gray-200;
$thead-background-color: $gds-gray-100;

// Buttons
$button-default-bg-hover: $gds-gray-100;
$button-primary: #337ab7;
$button-warning: #f0ad4e;
$button-cta-background: rgb(230, 83, 40);
$button-cta-background-hover: rgb(201, 61, 43);

// Pajama alerts
// $alert-info-bg: $gds-blue-100;
$alert-info-bg: #fafafa;
$alert-info-txt: #000;
$alert-info-border: #dbdbdb;

$alert-success-bg: #fafafa;
$alert-success-txt: #000;
$alert-success-border: #dbdbdb;

$alert-warning-bg: #faf2f1;
$alert-warning-txt: #000;
$alert-warning-border: #f6d9d5;

$alert-danger-bg: #faf2f1;
$alert-danger-txt: #000;
$alert-danger-border: #f6d9d5;

$alert-gray-bg: $gds-gray-100;
$alert-gray-txt: $gds-gray-900;
$alert-gray-border: $gds-gray-200;

//// end of colors conforming with GitLab Design System ////

// Banner
$alert-banner-background: #fba225;
$alert-banner-text: #e14329 !important;

// Badges
$badge-tier: $color-tanuki-dark;
$badge-tier-transparent: rgba(252, 163, 38, 0.1);
$badge-self-managed: $color-tanuki-medium;
$badge-self-managed-transparent: rgba(252, 109, 38, 0.1);
$badge-saas: $color-tanuki-light;
$badge-saas-transparent: rgba(252, 163, 38, 0.1);

//Icons
$gl-icon-sizes: 8 10 12 14 16 18 24 32 48 72;

// Inline code colors
$code-color: rgb(31, 31, 31);
$code-background-color: rgb(240, 240, 240);
$alert-code-background-color: rgb(242, 242, 242);

//copy button bg color == pre code color
$pre-code-color: transparent;

// Home page colors
$landing-gl-purple-50: #c7c7f2;
$landing-gl-purple-100: #e1d8f9;
$landing-gl-purple-500: #7b58cf;
$landing-gl-purple-550: #6e49cb;
$landing-gl-purple-600: #694cc0;
$landing-gl-purple-700: #5943b6;
$landing-gl-indigo-950: #32304e;
$landing-gl-gray-50: #fafafa;
$landing-gl-white-500: #ebe5f7;
$landing-gl-gray-500: #666;
$landing-gl-gray-600: #5e5e5e;
$landing-gl-black-0: rgba(255, 255, 255, 0);
$landing-gl-black-50: rgba(0, 0, 0, 0.24);
$landing-gl-black-100: rgba(255, 255, 255, 0.16);
$landing-gl-blue-200: rgba(102, 102, 196, 0.24);
$landing-gl-blue-600: #171537;
$landing-gl-blue-950: rgba(36, 34, 66, 0.24);
$landing-gl-blue-1000: rgba(36, 34, 66, 0.25);

// Footer colors
$footer-gray-400: #868686;
$footer-gray-500: #666;

// Help & feedback section colors
$help-indigo-50: #f1f1ff;
$help-indigo-500: #6666c4;
$help-blue-500: #1068bf;
$help-gray-100: #dbdbdb;
$help-gray-200: #bfbfbf;
$help-gray-900: #303030;

// Other colors
$hr-border-color: $border-color;
$pre-background-color: rgba(238, 238, 238, 0.35);
$search-border: rgba(0, 0, 0, 0.25);
$search-border-dark: rgba(0, 0, 0, 0.5);
$main-box-shadow: rgba(0, 0, 0, 0.1);
$secondary-box-shadow: rgba(0, 0, 0, 0.1);
$text-expander-hover-color: #e1e1e1;
$white: #fff;
$black: #333;

// Colors
$color-white: #fff;
$color-gray: #777;
$color-gray-medium: #ddd;
$color-light-gray: rgb(117, 117, 117);

// Social colors
$youtube: #f00;

// Article colors
$article-metadata: rgb(110, 110, 110);
